JoinedSubclassFkSecondPass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class JoinedSubclassFkSecondPass

    java.lang.Object
      org.hibernate.cfg.FkSecondPass
          org.hibernate.cfg.JoinedSubclassFkSecondPass

All Implemented Interfaces:
  Serializable, SecondPass

    public class JoinedSubclassFkSecondPass

extends FkSecondPass

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.cfg.FkSecondPass
`columns, value`

Constructor Summary
`JoinedSubclassFkSecondPass(JoinedSubclass entity, Ejb3JoinColumn[] inheritanceJoinedColumns, SimpleValue key, Mappings mappings)`

Method Summary
`void` | `doSecondPass(Map persistentClasses)`
`String` | `getReferencedEntityName()`
`boolean` | `isInPrimaryKey()`

Methods inherited from class org.hibernate.cfg.FkSecondPass
`equals, getUniqueCounter, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinedSubclassFkSecondPass

    public JoinedSubclassFkSecondPass(JoinedSubclass entity,
                                      Ejb3JoinColumn[] inheritanceJoinedColumns,
                                      SimpleValue key,
                                      Mappings mappings)

Method Detail

### getReferencedEntityName

    public String getReferencedEntityName()

  Specified by:
    `getReferencedEntityName` in class `FkSecondPass`

### isInPrimaryKey

    public boolean isInPrimaryKey()

  Specified by:
    `isInPrimaryKey` in class `FkSecondPass`

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.